SAM3S8/SD8 Software Package: _CDCDSerialDriverConfigurationDescriptorsOTG Struct Reference

SAM3S8/SD8 Software Package 1.2
Data Fields

# _CDCDSerialDriverConfigurationDescriptorsOTG Struct Reference
[USB CDC Serial Device Driver]

## Data Fields

USBConfigurationDescriptor | configuration
USBOtgDescriptor | otgDescriptor
USBInterfaceDescriptor | communication
CDCHeaderDescriptor | header
CDCCallManagementDescriptor | callManagement
CDCAbstractControlManagementDescriptor | abstractControlManagement
CDCUnionDescriptor | union1
USBEndpointDescriptor | notification
USBInterfaceDescriptor | data
USBEndpointDescriptor | dataOut
USBEndpointDescriptor | dataIn

## Detailed Description

Definition at line 123 of file CDCDSerialDriver.h.

## Field Documentation

CDCAbstractControlManagementDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::abstractControlManagement

CDC abstract control management functional descriptor.

Definition at line 136 of file CDCDSerialDriver.h.

CDCCallManagementDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::callManagement

CDC call management functional descriptor.

Definition at line 134 of file CDCDSerialDriver.h.

USBInterfaceDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::communication

Communication interface descriptor.

Definition at line 130 of file CDCDSerialDriver.h.

USBConfigurationDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::configuration

Standard configuration descriptor.

Definition at line 126 of file CDCDSerialDriver.h.

USBInterfaceDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::data

Data interface descriptor.

Definition at line 142 of file CDCDSerialDriver.h.

USBEndpointDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::dataIn

Data IN endpoint descriptor.

Definition at line 146 of file CDCDSerialDriver.h.

USBEndpointDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::dataOut

Data OUT endpoint descriptor.

Definition at line 144 of file CDCDSerialDriver.h.

CDCHeaderDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::header

CDC header functional descriptor.

Definition at line 132 of file CDCDSerialDriver.h.

USBEndpointDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::notification

Notification endpoint descriptor.

Definition at line 140 of file CDCDSerialDriver.h.

CDCUnionDescriptor _CDCDSerialDriverConfigurationDescriptorsOTG::union1

CDC union functional descriptor (with one slave interface).

Definition at line 138 of file CDCDSerialDriver.h.

The documentation for this struct was generated from the following file:

- libraries/usb/include/CDCDSerialDriver.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines